List visible lead signals with safe lead, post, and watched-profile context.
curl --request GET \
--url https://api.traxy.ai/api/v1/customer/leads/signals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxy.ai/api/v1/customer/leads/signals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxy.ai/api/v1/customer/leads/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.traxy.ai/api/v1/customer/leads/signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.traxy.ai/api/v1/customer/leads/signals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.traxy.ai/api/v1/customer/leads/signals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.traxy.ai/api/v1/customer/leads/signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engagementType": "LIKE",
"reactionType": "<string>",
"engagedAt": "2023-11-07T05:31:56Z",
"capturedAt": "2023-11-07T05:31:56Z",
"signal": {
"summary": "<string>",
"whyRelevant": "<string>",
"topic": "<string>",
"type": "COMPETITOR",
"strength": "DIRECT",
"sentiment": "NEGATIVE",
"occurredAt": "2023-11-07T05:31:56Z",
"source": {
"name": "<string>",
"title": "<string>",
"url": "<string>"
}
},
"lead": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile": {
"displayName": "<string>",
"headline": "<string>",
"location": "<string>",
"currentCompany": "<string>",
"profileUrl": "<string>"
},
"contact": {
"workEmail": "[email protected]",
"workEmailStatus": "<string>",
"personalEmail": "[email protected]",
"personalEmailStatus": "<string>",
"contactPhone": "<string>",
"contactPhoneStatus": "<string>"
},
"signal": {
"summary": "<string>",
"whyRelevant": "<string>",
"topic": "<string>",
"type": "COMPETITOR",
"strength": "DIRECT",
"sentiment": "NEGATIVE",
"occurredAt": "2023-11-07T05:31:56Z",
"source": {
"name": "<string>",
"title": "<string>",
"url": "<string>"
}
},
"icpMatchPercent": 123,
"intentScore": 123,
"leadTier": "<string>"
},
"primarySignal": {},
"engagedWith": {},
"post": {}
}
],
"page": {
"limit": 123,
"nextCursor": "<string>",
"cursor": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}Leads
List visible lead signals with safe lead, post, and watched-profile context.
GET
/
customer
/
leads
/
signals
List visible lead signals with safe lead, post, and watched-profile context.
curl --request GET \
--url https://api.traxy.ai/api/v1/customer/leads/signals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxy.ai/api/v1/customer/leads/signals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxy.ai/api/v1/customer/leads/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.traxy.ai/api/v1/customer/leads/signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.traxy.ai/api/v1/customer/leads/signals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.traxy.ai/api/v1/customer/leads/signals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.traxy.ai/api/v1/customer/leads/signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engagementType": "LIKE",
"reactionType": "<string>",
"engagedAt": "2023-11-07T05:31:56Z",
"capturedAt": "2023-11-07T05:31:56Z",
"signal": {
"summary": "<string>",
"whyRelevant": "<string>",
"topic": "<string>",
"type": "COMPETITOR",
"strength": "DIRECT",
"sentiment": "NEGATIVE",
"occurredAt": "2023-11-07T05:31:56Z",
"source": {
"name": "<string>",
"title": "<string>",
"url": "<string>"
}
},
"lead": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile": {
"displayName": "<string>",
"headline": "<string>",
"location": "<string>",
"currentCompany": "<string>",
"profileUrl": "<string>"
},
"contact": {
"workEmail": "[email protected]",
"workEmailStatus": "<string>",
"personalEmail": "[email protected]",
"personalEmailStatus": "<string>",
"contactPhone": "<string>",
"contactPhoneStatus": "<string>"
},
"signal": {
"summary": "<string>",
"whyRelevant": "<string>",
"topic": "<string>",
"type": "COMPETITOR",
"strength": "DIRECT",
"sentiment": "NEGATIVE",
"occurredAt": "2023-11-07T05:31:56Z",
"source": {
"name": "<string>",
"title": "<string>",
"url": "<string>"
}
},
"icpMatchPercent": 123,
"intentScore": 123,
"leadTier": "<string>"
},
"primarySignal": {},
"engagedWith": {},
"post": {}
}
],
"page": {
"limit": 123,
"nextCursor": "<string>",
"cursor": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}Authorizations
API key created from Integrations > API & MCP > API keys. Used for Customer REST and Ordinal Audience Analytics, not MCP OAuth.
Query Parameters
Number of items to return. The default is 50 and the maximum is 100.
Required range:
1 <= x <= 100Opaque cursor returned in page.nextCursor. Pass it unchanged with the same filters and sort. Incompatible cursors return validation_failed.
Maximum string length:
256Comma-separated monitored profile IDs. Accepts up to 50 IDs.
Available options:
LIKE, COMMENT, REPOST, POST_AUTHOR Comma-separated engagement types. Accepts up to 4 values.
Inclusive start of the date range.
Inclusive end of the date range.
Required range:
0 <= x <= 100Required range:
0 <= x <= 100Available options:
ACTIVE, CLIENT, BAD_LEAD Required string length:
1 - 160Comma-separated company names. Accepts up to 25 values.
Available options:
TEAMMATE, COMPETITOR, INFLUENCER, INVESTOR, CUSTOM, TARGET_ACCOUNT, CUSTOMER, PARTNER Required string length:
1 - 80Safe lead origin. agent includes automated Agent and preview discovery; watchlist includes watched-profile and manual workflows.
Available options:
agent, watchlist, all Was this page helpful?